/*
 * Deskflow -- mouse and keyboard sharing utility
 * SPDX-FileCopyrightText: (C) 2024 - 2025 Chris Rizzitello <sithlord48@gmail.com>
 * SPDX-FileCopyrightText: (C) 2025 Symless Ltd.
 * SPDX-License-Identifier: GPL-2.0-only WITH LicenseRef-OpenSSL-Exception
 */

#pragma once

const auto kAppName = "Deskflow";
const auto kAppId = "deskflow";
const auto kAppDescription = "Keyboard and mouse sharing utility";
const auto kVersion = "1.22.0.0";
const auto kVersionGitSha = "";
const auto kDaemonBinName = "deskflow-daemon";
const auto kDaemonIpcName = "deskflow-daemon";
const auto kDaemonLogFilename = "deskflow-daemon.log";
const auto kDefaultLogFile = "deskflow.log";

// clang-format off
const auto kDisplayVersion = 0 ? "1.22.0.0 ()" : "1.22.0";
// clang-format on

const auto kCopyright = //
    "Copyright (C) 2024-2025 Deskflow Devs\n"
    "Copyright (C) 2012-2025 Symless Ltd.\n"
    "Copyright (C) 2009-2012 Nick Bolton\n"
    "Copyright (C) 2002-2009 Chris Schoeneman";

#ifndef NDEBUG
const auto kDebugBuild = true;
#else
const auto kDebugBuild = false;
#endif

const auto kTlsDirName = "tls";
const auto kTlsCertificateFilename = "deskflow.pem";
const auto kTlsFingerprintLocalFilename = "local-fingerprint";
const auto kTlsFingerprintTrustedServersFilename = "trusted-servers";
const auto kTlsFingerprintTrustedClientsFilename = "trusted-clients";

#ifdef _WIN32

// clang-format off
const auto kWindowsRuntimeMajor = ;
const auto kWindowsRuntimeMinor = ;
// clang-format on

const auto kWindowsRegistryKey = "SOFTWARE\\Deskflow";
const auto kCloseEventName = "Global\\DeskflowClose";
const auto kSendSasEventName = "Global\\DeskflowSendSAS";

const auto kClientBinName = "deskflow-client.exe";
const auto kServerBinName = "deskflow-server.exe";

#else

const auto kClientBinName = "deskflow-client";
const auto kServerBinName = "deskflow-server";

#endif

